From: "Thomas Beierlein" <tomjbe@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gtkwave/
Date: Mon, 7 Sep 2015 13:46:50 +0000 (UTC) [thread overview]
Message-ID: <1441633582.aa52576f100df036dd2facaeaeb3ff4868b0016c.tomjbe@gentoo> (raw)
commit: aa52576f100df036dd2facaeaeb3ff4868b0016c
Author: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 7 13:44:57 2015 +0000
Commit: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Mon Sep 7 13:46:22 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa52576f
sci-electronics/gtkwave: Version bump
sci-electronics/gtkwave/Manifest | 1 +
sci-electronics/gtkwave/gtkwave-3.3.66.ebuild | 75 +++++++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/sci-electronics/gtkwave/Manifest b/sci-electronics/gtkwave/Manifest
index 17cc383..0aa0838 100644
--- a/sci-electronics/gtkwave/Manifest
+++ b/sci-electronics/gtkwave/Manifest
@@ -3,3 +3,4 @@ DIST gtkwave-3.3.47.tar.gz 3832052 SHA256 b39c018f668070a0fdd3906c73a9add4ccbffd
DIST gtkwave-3.3.59.tar.gz 4083000 SHA256 caba829abdbc4a4df7cc932695aed87037d656f62cd5831b531d13453034a984 SHA512 5def8eef767b292bc1e09dc7b5a7151b6f492b6e5b744e1b8e563ac3731073721fdce180b85bbc2c8dd7ecaf757a9a67bd3a809c55e522befa74d5d74f815b3d WHIRLPOOL 0b2b4ee8cc6d59eb335c805535b40439bd8034b62b693c9ceb7f868fcee97ed7a3075b00eb9ab36cbe9b475c5134c0d75a022da8bd99e77db34e48d91a241cfc
DIST gtkwave-3.3.64.tar.gz 4090345 SHA256 dae956b3e55dc9b5d2bafe11fcf9b8606870d76f0719202fd04b678160d37115 SHA512 34150741942d2b82a5f937cf12b1793e04aea0444acaf4a4ba1c61e5bb70727d5990438833ee4d25fef81362929d0607ebd7fddb8fd178f437cafdf9c09e989f WHIRLPOOL 137eb908d004a1305d12b96b06d589525f82d69172d87434bb06fd5a8ff05e7bfc0f0d0746e9470337c636d5ce16e410d78b8b01d923bf3a4ed1030d71c89373
DIST gtkwave-3.3.65.tar.gz 4092871 SHA256 64eb091e70c83bf03df14e01d338151e888fb4099c4695c2e6e40ce27d249bd5 SHA512 5aba36c9b9ff6353115ce5660b3dd61fba96ef2bc420483e194ad7a0d97b6f0a4453db20188c12af1c333ecbeee43f7ebe5b4bd166864a003995687a497a14ff WHIRLPOOL e5aac94e9c65aa1bedffa3febac38402f51c4c84237f39d703a9f1860a981dae308109935add36f4f0881ce7c491f2aaac0b52c54bc85ca025c9518d901df344
+DIST gtkwave-3.3.66.tar.gz 4093766 SHA256 04ce0851ebcf7ce07506c6e34af878ebf0c5a09495035a71e881fe6ff2abb99e SHA512 6c91efcbd240efceb770882eb0d1ccf5195b40207714432882fdaf35108e05860a5b00b7e922f95f537b01be335e8b4026e3ba6dcf02e235ff3b20f2082e7b81 WHIRLPOOL 6d4927d9b9e19f9ca128d9339b0e5c0ceec3b4ca2644ad38c861ff6f1896a5ba9a2c4c28b367413da6d255d6799748e7dfef0222ff3d6b3a4aa041661dee9d74
diff --git a/sci-electronics/gtkwave/gtkwave-3.3.66.ebuild b/sci-electronics/gtkwave/gtkwave-3.3.66.ebuild
new file mode 100644
index 0000000..a83cf14
--- /dev/null
+++ b/sci-electronics/gtkwave/gtkwave-3.3.66.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils fdo-mime toolchain-funcs
+
+DESCRIPTION="A wave viewer for LXT, LXT2, VZT, GHW and standard Verilog VCD/EVCD files"
+HOMEPAGE="http://gtkwave.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+IUSE="doc examples fasttree fatlines judy lzma packed tcl"
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="dev-libs/glib:2
+ x11-libs/gtk+:2
+ x11-libs/pango
+ sys-libs/zlib
+ judy? ( dev-libs/judy )
+ tcl? ( dev-lang/tcl:0 dev-lang/tk:0 )
+ lzma? ( app-arch/xz-utils )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ dev-util/gperf"
+
+AT_M4DIR="${S}"
+
+src_prepare(){
+ # do not install doc and examples by default
+ sed -i -e 's/doc examples//' Makefile.in || die
+}
+
+src_configure(){
+ econf --disable-local-libz \
+ --disable-local-libbz2 \
+ --disable-mime-update \
+ --enable-largefile \
+ $(use_enable packed struct-pack) \
+ $(use_enable fatlines) \
+ $(use_enable tcl) \
+ $(use_enable lzma xz) \
+ $(use_enable fasttree) \
+ $(use_enable judy)
+}
+
+src_compile() {
+ emake AR=$(tc-getAR)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc ChangeLog README
+ if use doc ; then
+ insinto /usr/share/doc/${PF}
+ doins "doc/${PN}.odt"
+ fi
+ if use examples ; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
next reply other threads:[~2015-09-07 13:46 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-07 13:46 Thomas Beierlein [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-11-30 18:29 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gtkwave/ Thomas Beierlein
2015-11-30 18:31 Thomas Beierlein
2016-01-02 16:28 Agostino Sarubbo
2016-01-06 13:34 Agostino Sarubbo
2016-07-24 11:11 Thomas Beierlein
2018-01-17 16:01 Thomas Beierlein
2019-02-16 13:27 Virgil Dupras
2020-10-03 16:20 David Seifert
2020-10-03 16:20 David Seifert
2022-08-26 9:19 Andrew Ammerlaan
2022-08-26 11:33 Andrew Ammerlaan
2023-06-25 3:13 Sam James
2024-12-01 12:12 Sam James
2025-03-10 22:43 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1441633582.aa52576f100df036dd2facaeaeb3ff4868b0016c.tomjbe@gentoo \
--to=tomjbe@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox